package com.miaxis.feign.service;


import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.service.fallback.CarFallBackService;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


@FeignClient(name="wxgetTokenService",
        url = "https://api.weixin.qq.com/cgi-bin",
        fallbackFactory = CarFallBackService.class,configuration = FeignConfig.class)
@Component
public interface IWxgetTokenService {


    @GetMapping(value = "/token")
    String getAccessToken(@RequestParam("grant_type") String grant_type,
               @RequestParam("appid") String appid,
               @RequestParam("secret") String secret);

}
